Bug 1255167 - tooltip in gtk apps have white fonts on gray background in KDE
tooltip in gtk apps have white fonts on gray background in KDE
Status: NEW
Product: Fedora
Classification: Fedora
Component: gnome-themes-standard (Show other bugs)
25
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Cosimo Cecchi
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-19 16:18 EDT by Sudhir Khanger
Modified: 2017-11-16 14:15 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 13:35:09 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
white-font-on-gray-background in tooltips (82.47 KB, image/png)
2015-08-19 16:18 EDT, Sudhir Khanger
no flags Details

  None (edit)
Description Sudhir Khanger 2015-08-19 16:18:49 EDT
Created attachment 1064999 [details]
white-font-on-gray-background in tooltips

Description of problem: Tooltips in GTK Apps like inkscape, banshee, etc. have white fonts in gray background in KDE spin.


Version-Release number of selected component (if applicable):
adwaita-gtk2-theme-3.16.2-1.fc22.x86_64
Fedora 22


How reproducible: always


Steps to Reproduce:
1. Open inkscape or banshee. hover the mouse over any button or component that shows a tooltip.
2.
3.

Actual results: 


Expected results:


Additional info:
Comment 1 Mace Moneta 2015-10-06 10:52:12 EDT
Added the following to ~/.gtkrc-2.0-kde4 to correct:

style "gnome-color-chooser-tooltips"
{
bg[NORMAL] = "#FFFFAF"
fg[NORMAL] = "#000000"
}
widget "gtk-tooltip*" style "gnome-color-chooser-tooltips"
Comment 2 Sudhir Khanger 2015-11-08 04:57:18 EST
Thanks Mace. That works. An upstream solution would be much preferred.
Comment 3 Sudhir Khanger 2015-11-24 01:05:22 EST
Considering there has been no traction on this report did I report it at the wrong place? Should I report it in GNOME bugzilla somewhere?
Comment 4 Fedora End Of Life 2016-07-19 13:35:09 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 5 Sudhir Khanger 2016-08-13 13:13:51 EDT
It's happening again Fedora 24 all latest.
Comment 6 Fabrice Salvaire 2017-02-12 14:42:33 EST
and in Fedora 25 ...
Comment 7 Piero Finizio 2017-04-29 17:16:39 EDT
Yes, I confirm that is happening in Fedora 25.
The workaround indicated in comment 1... works.
Comment 8 Fedora End Of Life 2017-11-16 14:15:11 EST
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Note You need to log in before you can comment on or make changes to this bug.